Bug 1805678 - Locked provisioning template should not be allowed to add audit comment
Summary: Locked provisioning template should not be allowed to add audit comment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.7.0
Hardware: All
OS: All
medium
medium
Target Milestone: 6.7.0
Assignee: Oleh Fedorenko
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-21 11:15 UTC by Anand Agrawal
Modified: 2020-04-14 13:38 UTC (History)
3 users (show)

Fixed In Version: foreman-1.24.1.16-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:38:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29143 0 Normal Closed Locked provisioning template should not be allowed to add audit comment 2020-09-09 08:21:00 UTC

Description Anand Agrawal 2020-02-21 11:15:39 UTC
Description of problem:

GoTo Hosts -> Provisioning Template -> Select/Click a provisioning template (Locked) -> Add audit comment. This is successful. It should not allow to add the audit comment on the locked template.

Version-Release number of selected component (if applicable):
6.7

How reproducible:
Always

Steps to Reproduce:
1. GoTo Hosts -> Provisioning Template 
2. Select/Click a provisioning template (Locked) 
3. Add audit comment

Actual results:
Successfully updated template name

Expected results:
Unable to save
This template is locked. Please clone it to a new template to customize.

Additional info:

This is working as expected in case of report template with a similar feature. 

However, a suggestion is to disable the "Audit Comment" textbox if the template is locked.

Comment 3 Oleh Fedorenko 2020-02-24 15:37:52 UTC
Created redmine issue https://projects.theforeman.org/issues/29143 from this bug

Comment 4 Bryan Kearney 2020-02-24 17:03:27 UTC
Upstream bug assigned to ofedoren@redhat.com

Comment 5 Bryan Kearney 2020-02-24 17:03:29 UTC
Upstream bug assigned to ofedoren@redhat.com

Comment 6 Bryan Kearney 2020-03-09 12:03:37 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/29143 has been resolved.

Comment 12 Bryan Kearney 2020-04-14 13:38:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.